<?php
/*
** Движок информационного сайта DBBH Site Engine
** Версия 0.4
** Разработчик: DeBOBAHer <debobaher@yandex.ru>
*/
$result = $mysqli->query('SELECT * FROM '.$db_prefix.'chapter_param WHERE id_chapter='.$chapter.' ORDER BY position');
$ch_params = array();
// получаем массив с перечислением параметров, которые задаются в этом разделе
for ($i = $result->num_rows; $i>0; $i--)
	$ch_params[] = $result->fetch_assoc();
		
if(isset($_POST['param']))
	{// Применение изменений
	$mysqli->autocommit(FALSE);// включение режима принудительного подтверждения транзакций
	if(isset($_FILES['photo']))
		{// если фото уже есть, оно будет перезаписано
		// проверяем расширение загруженного файла
		if(substr($_FILES['photo']['name'], -4)=='.png')
			$pExt = '.png';
		elseif(substr($_FILES['photo']['name'], -4)=='.jpg')
			$pExt = '.jpg';
		elseif(substr($_FILES['photo']['name'], -4)=='.gif')
			$pExt = '.gif';
		else
			$pExt = '';

		if (! move_uploaded_file($_FILES['photo']['tmp_name'], '../images/photo/'.$object.$pExt))
			echo "<br>При загрузке фото произошла ошибка<br>";
		else// Если успешно скопировалось - обновляем даные в БД
			$mysqli->query('update '.$db_prefix.'object set photo=\''.$object.$pExt.'\' where id_object='.$object);
		};
	
	if(isset($_FILES['smallPhoto']))
		{// если фото уже есть, оно будет перезаписано
		// проверяем расширение загруженного файла
		if(substr($_FILES['smallPhoto']['name'], -4)=='.png')
			$pExt = '.png';
		elseif(substr($_FILES['smallPhoto']['name'], -4)=='.jpg')
			$pExt = '.jpg';
		elseif(substr($_FILES['smallPhoto']['name'], -4)=='.gif')
			$pExt = '.gif';
		else
			$pExt = '';

		if (! move_uploaded_file($_FILES['smallPhoto']['tmp_name'], '../images/small_photo/'.$object.$pExt))
			echo "<br>При загрузке фото произошла ошибка<br>";
		else// Если успешно скопировалось - обновляем даные в БД
			$mysqli->query('update '.$db_prefix.'object set smallPhoto=\''.$object.$pExt.'\' where id_object='.$object);
		};
	
	if((isset($_POST['deletePhoto']))&&($_POST['deletePhoto']=='YES'))
		{// удаление фотографии
		// получаем сведения о том, в каких файлах находятся фотографии
		$tmp = $mysqli->query('select photo,smallPhoto from '.$db_prefix.'object where id_object='.$object);
		$tmp = $tmp->fetch_assoc();
		$pFile = $tmp['photo'];
		$sFile = $tmp['smallPhoto'];
		
		// удаляем файлы и обновляем информацию в БД
		$mysqli->query('update '.$db_prefix.'object set photo=NULL where id_object='.$object);
		unlink('../images/photo/'.$pFile);// удаление файла с фотографией
		$mysqli->query('update '.$db_prefix.'object set smallPhoto=NULL where id_object='.$object);
		unlink('../images/smallPhoto/'.$sFile);// удаление файла с фотографией
		};
	
	// начинаем заносить данные о настраиваемых параметрах
	for($i=0; $i<count($ch_params); $i++)
		{
		if((!$tmp = $mysqli->query('select * from '.$db_prefix.'object_param where id_object='.$object.' and id_chapter_param='.$ch_params[$i]['id_chapter_param']))||($tmp->num_rows == 0))
			{
			$mysqli->query('insert into '.$db_prefix.'object_param (id_object, id_chapter_param, value) values('.$object.','.$ch_params[$i]['id_chapter_param'].',\''.htmlspecialchars($_POST['param'][$i], ENT_QUOTES).'\')');
			}
		else
			{
			$mysqli->query('update '.$db_prefix.'object_param set value=\''.htmlspecialchars($_POST['param'][$i], ENT_QUOTES).'\' where id_object='.$object.' and id_chapter_param='.$ch_params[$i]['id_chapter_param']);
			};
		};
	// закончили заносить данные о настраиваемых параметрах
	
	// обновляем дату последнего изменения информации
	include_once ('writelastupdate.php');
	$mysqli->commit();// подтверждение транзакции
	$mysqli->autocommit(TRUE);// выключение режима принудительного подтверждения транзакций
	header('Location: '.$siteAddress.'admin_cp/admin_add_objects.php?mode=list&chapter='.$chapter);
	}
else
	{// вывод формы для внесения изменений
	$result = $mysqli->query('SELECT * FROM '.$db_prefix.'object WHERE id_object='.$object);
	$objData = $result->fetch_assoc();
?>
<form action="admin_add_objects.php?mode=edit&object=<?php echo $object; ?>&chapter=<?php echo $chapter; ?>" method="POST" enctype="multipart/form-data">
<table border=0>
<tr><td>Уменьшеное фото:</td><td><input type="hidden" name="MAX_FILE_SIZE" value="500000" /><INPUT type="file" name="smallPhoto"></td>
<tr><td>Полноразмерное фото:</td><td><INPUT type="file" name="photo"></td>
<tr><td>Наберите здесь слово"YES" (без кавычек), чтобы удалить фото:</td><td><input type="text" name="deletePhoto"></td>
<?php
	for ($i=0; $i<count($ch_params); $i++)
		{// Цикл по параметрам, относящимся к разделу
		$sub_res = $mysqli->query('SELECT * FROM '.$db_prefix.'object_param WHERE id_object='.$object.' AND id_chapter_param='.$ch_params[$i]['id_chapter_param']);
		$row2 = $sub_res->fetch_assoc();
		echo '<tr><td class="paramName">'.$ch_params[$i]['name'].'</td><td><INPUT type="text" name="param[]" value="'.htmlspecialchars_decode($row2['value'], ENT_QUOTES).'"></td>';
		};// for
	};// else
//$result->close();
?>
<tr><td><input type="submit" value="Применить"></td><td><input type="reset" value="Сброс"></td>
</table>
</form> 
