<?php
/*
** Движок информационного сайта DBBH Site Engine
** Версия 0.4
** Разработчик: DeBOBAHer <debobaher@yandex.ru>
*/
include_once ('auth.php');// авторизация пользователя
include_once ('../include/main_config.php');// загрузка основных параметров
include_once ('../include/connect.php');// соединение с базой данных

if((isset($_GET['chapter']))&&(is_numeric($_GET['chapter'])))
	$chapter = $_GET['chapter'];
else
	$chapter = -1;

if((isset($_GET['object']))&&(is_numeric($_GET['object'])))
	$object = $_GET['object'];
else
	$object = -1;
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN">
<html>
<head>
<title>Редактирование объектов.</title>
<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<LINK REL="stylesheet"TYPE="text/css"HREF="../styles.css">
<LINK REL="shortcut icon" HREF="../favicon.ico" TYPE="image/x-icon">
</head>
<body>
<?php
if($auth>0)
	{// авторизация пройдена успешно
	if((isset($_GET['mode']))&&($_GET['mode']=='add'))
		{// Добавление нового объекта
		include_once('add_objects/add.php');
		}
	elseif((isset($_GET['mode']))&&($_GET['mode']=='edit'))
		{// Редактирование объекта
		include_once('add_objects/edit.php');
		}
	elseif((isset($_GET['mode']))&&($_GET['mode']=='list'))
		{// Просмотр раздела
		include_once('add_objects/list.php');
		}
	elseif((isset($_GET['mode']))&&($_GET['mode']=='move'))
		{// изменение position объекта
		include_once('add_objects/move.php');
		}
	elseif((isset($_GET['mode']))&&($_GET['mode']=='delete'))
		{// Удаление объекта
		include_once('add_objects/delete.php');
		}
	else
		{// Начальная форма выбора раздела
		if($chapter>=0)
			include_once('add_objects/list.php');
		else
			include_once('add_objects/default.php');
		};
	}
else
	{// авторизация не пройдена
?>
<font color=red>Вы не авторизированы для использования этой страницы.</font>
<?php
	};
?>
</body>
</html>
