<?php
/*
** Движок информационного сайта DBBH Site Engine
** Версия 0.4
** Разработчик: DeBOBAHer <debobaher@yandex.ru>
*/
// добавление объектов
if(isset($_POST['param']))
	{// Применение изменений
	$mysqli->autocommit(FALSE);// включение режима принудительного подтверждения транзакций
	
	//выясняем какое значение position нужно назначить новому объекту
	if(!$result = $mysqli->query('select max(position) as "maxPos" from '.$db_prefix.'object where id_chapter='.$chapter))
		$position = 0;// если он будет первым в разделе
	else
		{// если в разделе уже есть объекты
		$row = $result->fetch_assoc();
		$position = $row['maxPos']+1;
		};

	// добавляем в БД основные сведения о новом объекте
	$mysqli->query('insert into '.$db_prefix.'object (photo,id_chapter,position) values(NULL,'.$chapter.','.$position.')');
	// узнаём ID нового объекта - он максимальный в таблице (если в ту же самую секунду кто-то ещё не произвёл добавления (чего по-идее быть не должно)
	if(!$result = $mysqli->query('select max(id_object) as "maxID" from '.$db_prefix.'object'))
		die ('Ошибка');
	else
		{
		$row = $result->fetch_assoc();
		$object = $row['maxID'];
		};

	// обработка фотографий
	if(isset($_FILES['photo']))
		{// если фото уже есть, оно будет перезаписано
		if(substr($_FILES['photo']['name'], -4)=='.png')
			$pExt = '.png';
		elseif(substr($_FILES['photo']['name'], -4)=='.jpg')
			$pExt = '.jpg';
		elseif(substr($_FILES['photo']['name'], -4)=='.gif')
			$pExt = '.gif';
		else
			$pExt = '';

		if (! move_uploaded_file($_FILES['photo']['tmp_name'], '../images/photo/'.$object.$pExt))
			echo "<br>При загрузке фото произошла ошибка<br>";
		else// Если успешно скопировалось - обновляем даные в БД
			$mysqli->query('update '.$db_prefix.'object set photo=\''.$object.$pExt.'\' where id_object='.$object);
		};
	
	if(isset($_FILES['smallPhoto']))
		{// если фото уже есть, оно будет перезаписано
		if(substr($_FILES['smallPhoto']['name'], -4)=='.png')
			$pExt = '.png';
		elseif(substr($_FILES['smallPhoto']['name'], -4)=='.jpg')
			$pExt = '.jpg';
		elseif(substr($_FILES['smallPhoto']['name'], -4)=='.gif')
			$pExt = '.gif';
		else
			$pExt = '';

		if (! move_uploaded_file($_FILES['smallPhoto']['tmp_name'], '../images/small_photo/'.$object.$pExt))
			echo "<br>При загрузке фото произошла ошибка<br>";
		else// Если успешно скопировалось - обновляем даные в БД
			$mysqli->query('update '.$db_prefix.'object set smallPhoto=\''.$object.$pExt.'\' where id_object='.$object);
		};
	
	// начинаем заносить данные о настраиваемых параметрах
	$result = $mysqli->query('SELECT * FROM '.$db_prefix.'chapter_param WHERE id_chapter='.$chapter.' ORDER BY position');
	$ch_params = array();
	// получаем массив с перечислением параметров, которые задаются в этом разделе
	for ($i = $result->num_rows; $i>0; $i--)
		$ch_params[] = $result->fetch_assoc();

	for($i=0; $i<count($ch_params); $i++)
		{
		$mysqli->query('insert into '.$db_prefix.'object_param (id_object, id_chapter_param, value) values('.$object.','.$ch_params[$i]['id_chapter_param'].',\''.htmlspecialchars($_POST['param'][$i], ENT_QUOTES).'\')');
		
		echo '<br>'.$mysqli->error;
		};
	// закончили заносить данные о настраиваемых параметрах
	
	// обновляем дату последнего изменения информации
	include_once ('writelastupdate.php');
	$mysqli->commit();// подтверждение транзакции
	$mysqli->autocommit(TRUE);// выключение режима принудительного подтверждения транзакций

	header('Location: '.$siteAddress.'admin_cp/admin_add_objects.php?mode=list&chapter='.$chapter);
	}
else
	{// вывод формы для внесения изменений
	$result = $mysqli->query('SELECT * FROM '.$db_prefix.'chapter_param WHERE id_chapter='.$chapter.' ORDER BY position');
	$ch_params = array();

	for ($i = $result->num_rows; $i>0; $i--)
		$ch_params[] = $result->fetch_assoc();
?>
<form action="admin_add_objects.php?mode=add&chapter=<?php echo $chapter; ?>" method="POST" enctype="multipart/form-data">
<table border=0>
<tr><td>Уменьшеное фото:</td><td><input type="hidden" name="MAX_FILE_SIZE" value="500000" /><INPUT type="file" name="smallPhoto"></td>
<tr><td>Полноразмерное фото:</td><td><input type="hidden" name="MAX_FILE_SIZE" value="500000" /><INPUT type="file" name="photo"></td>
<?php
	for ($i=0; $i<count($ch_params); $i++)
		{// Цикл по параметрам, относящимся к разделу
		echo '<tr><td class="paramName">'.$ch_params[$i]['name'].'</td><td><INPUT type="text" name="param[]"></td>';
		};// for
	};// else
?>
<tr><td><input type="submit" value="Применить"></td><td><input type="reset" value="Сброс"></td>
</table>
</form> 
