<?php
/*
** Движок информационного сайта DBBH Site Engine
** Версия 0.4
** Разработчик: DeBOBAHer <debobaher@yandex.ru>
*/
// Здесь должны посылаться header() для запроса авторизаци
// И затем полученные login и password нужно сравнить с содержимым ../include/security.php

// далее - функции, отвечающие digest-авторизацию, взяты из официального руководства по php (точнее из комментариев к нему на официальном сайте)
// function to parse the http auth header
function http_digest_parse($txt)
{
    // protect against missing data
    $needed_parts = array('nonce'=>1, 'nc'=>1, 'cnonce'=>1, 'qop'=>1, 'username'=>1, 'uri'=>1, 'response'=>1);
    $data = array();

		preg_match_all('@(\w+)=(?:(([\'"])(.+?)\3|([A-Za-z0-9/]+)))@', $txt, $matches, PREG_SET_ORDER);

		foreach ($matches as $m) {
    	$data[$m[1]] = $m[4] ? $m[4] : $m[5];
    	unset($needed_parts[$m[1]]);
		}

    return $needed_parts ? false : $data;
};

$realm = 'DBBH admin Board';// Вот это надо заменить
//user => password
include_once ('../include/security.php');
$users = array($admin_name => $admin_password, $editor_name => $editor_password);


if (empty($_SERVER['PHP_AUTH_DIGEST'])) {
    header('HTTP/1.1 401 Unauthorized');
    header('WWW-Authenticate: Digest realm="'.$realm.
           '",qop="auth",nonce="'.uniqid().'",opaque="'.md5($realm).'"');

    die('<a href="../index.php">Главная страница</a>');
}

// analyze the PHP_AUTH_DIGEST variable
if (!($data = http_digest_parse($_SERVER['PHP_AUTH_DIGEST'])) ||
    !isset($users[$data['username']]))
    die('Ошибка авторизации!');

// generate the valid response
$A1 = md5($data['username'] . ':' . $realm . ':' . $users[$data['username']]);

$A2 = md5($_SERVER['REQUEST_METHOD'].':'.$data['uri']);
$valid_response = md5($A1.':'.$data['nonce'].':'.$data['nc'].':'.$data['cnonce'].':'.$data['qop'].':'.$A2);

if ($data['response'] != $valid_response)
    die('Ошибка авторизации!');

// ok, valid username & password
//echo 'Your are logged in as: ' . $data['username'];

// проверяем уровень доступа
if ($data['username'] == $admin_name)
	$auth = 2;// авторизирован как админ
elseif ($data['username'] == $editor_name)
	$auth = 1;// авторизирован как редактор
else
	$auth=0;// Неудачная авторизация
?>