<?php
/*
** Движок информационного сайта DBBH Site Engine
** Версия 0.4
** Разработчик: DeBOBAHer <debobaher@yandex.ru>
*/
header(file_get_contents('include/lastupdate'));// передача даты и времени последнего обновления сайта
include_once ('include/main_config.php');// загрузка основных параметров
include_once ('include/connect.php');// соединение с базой данных
// Выясняем в какой раздел мы попали
if((isset($_GET['info']))&&(is_numeric($_GET['info'])))
	$info=$_GET['info'];// is_numeric нужно для того, чтобы исключить возможность sql-инъекций, т.е. подстановки туда дополнительного запроса.
else
	$info=0;// если в адресе нет указаний по поводу раздела или они не верны, то пытаемся перейти в нулевой раздел

if(($result = $mysqli->query('SELECT * FROM '.$db_prefix.'info_table WHERE id_info_table='.$info))&&($result->num_rows > 0))
	{// выбираем из БД сведения о текущем разделе
	$row = $result->fetch_assoc();
	$info_name = $row['name'];// название раздела
	$info_txt = htmlspecialchars_decode($row['txt'], ENT_QUOTES);// текст раздела
	}
else
	{// если в БД нет данных по разделу с текущим номером, то соответствующим образом обрабатываем эту ситуацию
	header('Location: '.$siteAddress);// переход на главную страницу сайта (принудительный)
	$info = -1;// на случай, если клиентский браузер не перейдёт
	$info_name = 'Неизвестный раздел';
	};
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN">
<!-- DOWNLOADED FROM <?php echo $siteAddress; ?> -->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title><?php echo $site_title.'. '.$info_name; ?></title>
<META NAME="Description" CONTENT="<?php echo $site_title.'. '.$info_name; ?>">
<META NAME="Language" CONTENT="Russian">
<LINK REL="stylesheet" TYPE="text/css" HREF="styles.css">
<LINK REL="shortcut icon" HREF="favicon.ico" TYPE="image/x-icon">
</head>
<body>
<?php
include_once ('style/header.php');

// Основная часть раздела
echo '<h1>'.$info_name.'</h1>';// вывод названия раздела
if($info>=0)
	{// вывод текста раздела
	echo $info_txt;
	}
else
	echo 'Выберите другой раздел.';
// Основная часть раздела

include_once ('style/right.php');
include_once('style/copyright.php');
?>
</body>
</html>
