<?php
/*
** Движок информационного сайта DBBH Site Engine
** Версия 0.4
** Разработчик: DeBOBAHer <debobaher@yandex.ru>
*/
?><html>
<head>
<title>Установка и первичная настройка сайта</title>
<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
</head>
<body>
<?php
if(! isset($_POST['db_user'])){// Данные ещё не введены
?>
<h1>Страница первичной настройки сайта</h1>
<form action="install.php" method="POST">
<h2>Параметры соединения с базой данных</h2>
<table border=0>
<tr><td>Хост БД:</td><td><input type="text" name="host"></td>
<tr><td>Имя пользователя БД:</td><td><input type="text" name="db_user"></td>
<tr><td>Пароль для доступа к БД:</td><td><input type="password" name="db_password"></td>
<tr><td>Имя БД:</td><td><input type="text" name="db_name"></td>
<tr><td>Префикс создаваемых таблиц:</td><td><input type="text" name="db_prefix" value="fh_"></td>
<tr><td colspan=2 align=center><small>Сохраняются в файле "include\config.php"</small></td>
<tr><td colspan=2 align=center><h2>Настройка паролей для доступа к служебной части сайта</h2></td>
<tr><td>Имя администратора:</td><td><input type="text" name="admin_name"></td>
<tr><td>Пароль администратора:</td><td><input type="text" name="admin_password"></td>
<tr><td>Имя редактора:</td><td><input type="text" name="editor_name"></td>
<tr><td>Пароль редактора:</td><td><input type="text" name="editor_password"></td>
<tr><td colspan=2 align=center><small>Сохраняются в файле "include\security.php"</td>
<tr><td colspan=2 align=center><font color=red>Имена и пароли должны содержать только английские буквы и цифры.</font></td>
<tr><td colspan=2 align=center><b>Администратор</b> имеет доступ к настройке разделов сайта.</td>
<tr><td colspan=2 align=center><b>Редактор</b> может добавлять, удалять и редактировать информацию об объектах.</small></td>
<tr><td>Адрес электронной почты для связи с редакцией:</td><td><input type="text" name="infoEmail"></td>
<tr><td>Заголовок сайта:</td><td><input type="text" name="siteTitle" value=""></td>
<tr><td>Выравнивание фотографий объектов:</td><td><input type="text" name="photoAlign" value="right"></td>
<tr><td>Количество объектов на страницу:</td><td><input type="text" name="objPerPage" value="10"></td>
<tr><td colspan=2><font color=red>Внимание!!! Обязательно проверьте правильность заполнения следующего поля!</font></td>
<tr><td>Адрес сайта (начиная с "http://" и заканчивая "/"):</td><td><input type="text" name="siteAddress" value="http://<?php echo $_SERVER['HTTP_HOST']; ?>/"></td>
<tr><td colspan=2 align=center><input type="submit" value="Установить">&nbsp;&nbsp;&nbsp;<input type="reset" value="Сброс"></td>
</table>
</form>
<?php
}else{// данные уже введены
echo '<h1>Окончание первичной настройки</h1><h2>Запись данных в конфигурационные файлы</h2>';
// заполняем свойства конфигурационных файлов
$config='<?php
$host=\''.$_POST['host'].'\';
$db_user=\''.$_POST['db_user'].'\';
$db_password=\''.$_POST['db_password'].'\';
$db_name=\''.$_POST['db_name'].'\';
$db_prefix=\''.$_POST['db_prefix'].'\';
?>';
$install=TRUE;// Для безопасности - без этого флага работа с БД не будет произведена
file_put_contents('./../include/config.php', $config);

$config='<?php
$admin_name=\''.$_POST['admin_name'].'\';
$admin_password=\''.$_POST['admin_password'].'\';
$editor_name=\''.$_POST['editor_name'].'\';
$editor_password=\''.$_POST['editor_password'].'\';
?>';
file_put_contents('./../include/security.php', $config);

$config = "<?php\n";
$config .= '$site_title = \''.$_POST['siteTitle']."';\n";
$config .= '$photoAlign = \''.$_POST['photoAlign']."';\n";
$config .= '$siteAddress = \''.$_POST['siteAddress']."';\n";
$config .= '$infoEmail = \''.$_POST['infoEmail']."';\n";
$config .= '$objPerPage = \''.$_POST['objPerPage']."';\n";
$config .= "?>";
file_put_contents('../include/main_config.php', $config);

echo '<h2>Создание или обновление структуры БД</h2><small>Если это первая установка, то ошибки при удалении таблиц можно игнорировать.</small><br>';

file_put_contents('../.htaccess', 'ErrorDocument   403   '.$_POST['siteAddress']."403.php\nErrorDocument   404   ".$_POST['siteAddress']."404.php");
//*******************************************************************************************//*******************************************************************************************

include_once ('initialize_db.php');
?><hr>
<H1>Поздравляю! Вы сделали это!</h1>
<p>Если на этапе создания таблиц и записи файлов конфигурации не произошло ошибок, то на этом первичная настройка сайта закончена.
<h2>Замечания по безопасности</h2>
<p>Для того, чтобы не потерять всё, что "нажито непосильным трудом", настоятельно рекомендуется удалить папку "install" из корневого каталога Вашего сайта.
<p>Изменение паролей и логинов редактора и администратора возможно только при помощи ручной правки файла "include/security.php". Это сделано для повышения безопасности, кроме того, смена логинов и паролей, как правило, происходит не очень часто.
<h3>Где и что менять в файле "include/security.php":</h3>
<tt>
&lt;?php<br>
$admin_name='<font color=red>Логин администратора</font>';<br>
$admin_password='<font color=red>Пароль администратора</font>';<br>
$editor_name='<font color=red>Логин редактора</font>';<br>
$editor_password='<font color=red>Пароль редактора</font>';<br>
?&gt;
</tt>
<p>Выделеное красным - то, что можно менять.
<p>Будьте внимательны. Всё, что заключено в кавычки будет являться частью логинов и паролей. Не рекомендуется использовать для их написания ничего, кроме латинских букв и цифр.
<p>Для перехода на главную страницу, нажмите <a href="../">сюда</a>.
<?php
};// далее - стандартное окончание страницы
?>
</body>
</html> 
