<?php
/*
** Движок информационного сайта DBBH Site Engine
** Версия 0.4
** Разработчик: DeBOBAHer <debobaher@yandex.ru>
*/

/*
** Вывод сведений об одном объекте из списка
*/
function printObjectInList($objRow, $ch_params,$num)
	{
	global $sub_img,$photoAlign,$site_title,$mysqli,$db_prefix,$needLinks,$chapter,$page;
	echo '<tr class="object'.($num%2).'"><td>';
	// составляем строку с фото и ссылкой на увеличенное фото
	if($objRow['photo'] != '')
		{// если есть увеличенное фото, то пока считаем, что есть только оно
		$begPhoto = '<a href="chapter.php?chapter='.$chapter.'&object='.$objRow['id_object'].'&page='.$page.'" title="Подробное описание" target=_blanc>';
		$midPhoto = '<img border=0 class="photoObj" align='.$photoAlign.' src="'.$sub_img.'images/photo/'.$objRow['photo'].'" alt="Фото с сайта &laquo;'.$site_title.'&raquo;">';
		$endPhoto = '</a> ';
		}
	else
		{
		$begPhoto = '';
		$midPhoto = '';
		$endPhoto = ' ';
		};
	// проверяем наличие уменьшенного фото
	if($objRow['smallPhoto'] != '')// если оно есть, то середину (с изображением) заменяем
		$midPhoto = '<img border=0 class="photoObj" align='.$photoAlign.' src="'.$sub_img.'images/small_photo/'.$objRow['smallPhoto'].'" alt="Фото с сайта &laquo;'.$site_title.'&raquo;">';

	echo $begPhoto.$midPhoto.$endPhoto;// выводим сгенерированную строку для вставки фото
	// выводим значения параметров
	for ($i=0; $i<count($ch_params); $i++)
		{// Цикл по параметрам, относящимся к разделу
		if($sub_res = $mysqli->query('SELECT * FROM '.$db_prefix.'object_param WHERE id_object='.$objRow['id_object'].' AND id_chapter_param='.$ch_params[$i]['id_chapter_param']))
			{
			$row2 = $sub_res->fetch_assoc();
			echo '<span class="paramName">'.htmlspecialchars_decode($ch_params[$i]['name'], ENT_QUOTES).'</span><span class="paramValue">: '.htmlspecialchars_decode($row2['value'], ENT_QUOTES).'</span><br>';
			};
		};// for
	echo '<a href="chapter.php?chapter='.$chapter.'&object='.$objRow['id_object'].'&page='.$page.'" class="fullDescription">Полное описание</a> <a href="#top" class="topLink">Наверх</a><br></td>';
	// далее часть для панели управления - управляющие ссылки
	if (isset($needLinks))
		{
		echo '<td><a href="admin_add_objects.php?mode=edit&object='.$objRow['id_object'].'&chapter='.$chapter.'" class="moveLink">Правка</a><br><a href="admin_add_objects.php?mode=move&move=up&object='.$objRow['id_object'].'&chapter='.$chapter.'" class="moveLink">Вверх</a><br><a href="admin_add_objects.php?mode=move&move=down&object='.$objRow['id_object'].'&chapter='.$chapter.'" class="moveLink">Вниз</a><br><a href="admin_add_objects.php?mode=delete&object='.$objRow['id_object'].'&chapter='.$chapter.'" class="moveLink">Удалить</a></td>';
		};
	};

function printObject()
	{
	global $sub_img,$photoAlign,$site_title,$mysqli,$db_prefix,$needLinks,$chapter,$page,$ch_params_full,$object;
	// получаем сведения об объекте
	$result = $mysqli->query('SELECT * FROM '.$db_prefix.'object WHERE id_object='.$object);
	$objRow = $result->fetch_assoc();
	// проверяем наличие уменьшенного фото
	if($objRow['smallPhoto'] != '')
		$midPhoto = '<img border=0 class="photoObj" align='.$photoAlign.' src="'.$sub_img.'images/small_photo/'.$objRow['smallPhoto'].'" alt="Фото с сайта &laquo;'.$site_title.'&raquo;">';
	else
		$midPhoto = '';// фото нет
	// проверяем наличие большого фото
	if($objRow['photo'] != '')
		$midPhoto = '<img border=0 class="photoObj" align='.$photoAlign.' src="'.$sub_img.'images/photo/'.$objRow['photo'].'" alt="Фото с сайта &laquo;'.$site_title.'&raquo;">';

	echo $midPhoto;// выводим сгенерированную строку для вставки фото
	// выводим значения параметров
	for ($i=0; $i<count($ch_params_full); $i++)
		{// Цикл по параметрам, относящимся к разделу
		if($sub_res = $mysqli->query('SELECT * FROM '.$db_prefix.'object_param WHERE id_object='.$object.' AND id_chapter_param='.$ch_params_full[$i]['id_chapter_param']))
			{
			$row2 = $sub_res->fetch_assoc();
			echo '<span class="paramName">'.htmlspecialchars_decode($ch_params_full[$i]['name'], ENT_QUOTES).'</span><span class="paramValue">: '.htmlspecialchars_decode($row2['value'], ENT_QUOTES).'</span><br>';
			};
		};// for
	echo '<a href="chapter.php?chapter='.$chapter.'&page='.$page.'" class="backLink">Вернуться в раздел</a></td>';
	};
?>